GDB (xrefs)

Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
dw2_debug_names_iterator Class Reference

## Public Member Functions
| dw2_debug_names_iterator (const mapped_debug_names &map, bool want_specific_block, block_enum block_index, domain_enum domain, const char *name)
| dw2_debug_names_iterator (const mapped_debug_names &map, search_domain search, uint32_t namei)
dwarf2_per_cu_data * | next ()

## Static Private Member Functions
static const gdb_byte * | find_vec_in_debug_names (const mapped_debug_names &map, const char *name)
static const gdb_byte * | find_vec_in_debug_names (const mapped_debug_names &map, uint32_t namei)

## Private Attributes
const mapped_debug_names & | m_map
const bool | m_want_specific_block = false
const block_enum | m_block_index = FIRST_LOCAL_BLOCK
const domain_enum | m_domain = UNDEF_DOMAIN
const search_domain | m_search = ALL_DOMAIN
const gdb_byte * | m_addr

## Detailed Description

Definition at line 5963 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ dw2_debug_names_iterator() [1/2]

dw2_debug_names_iterator::dw2_debug_names_iterator | ( | const mapped_debug_names & | map,
|  | bool | want_specific_block,
|  | block_enum | block_index,
|  | domain_enum | domain,
|  | const char * | name
| ) |  |
| inline

Definition at line 5968 of file dwarf2read.c.

## ◆ dw2_debug_names_iterator() [2/2]

dw2_debug_names_iterator::dw2_debug_names_iterator | ( | const mapped_debug_names & | map,
|  | search_domain | search,
|  | uint32_t | namei
| ) |  |
| inline

Definition at line 5977 of file dwarf2read.c.

## Member Function Documentation

## ◆ find_vec_in_debug_names() [1/2]

const gdb_byte * dw2_debug_names_iterator::find_vec_in_debug_names | ( | const mapped_debug_names & | map,
|  | const char * | name
| ) |  |
| static private

Definition at line 6031 of file dwarf2read.c.

References _, mapped_debug_names::bucket_count, mapped_debug_names::bucket_table_reordered, case_sensitive_on, complaint, cp_remove_params(), current_language, mapped_debug_names::dwarf5_byte_order, dwarf5_djb_hash(), mapped_debug_names::entry_pool, extract_unsigned_integer(), mapped_debug_names::hash_table_reordered, language_defn::la_language, language_cplus, language_d, language_fortran, name, mapped_debug_names::name_count, mapped_debug_names::name_table_entry_offs_reordered, mapped_debug_names::namei_to_name(), objfile_name(), mapped_debug_names::offset_size, and symfile_complaints.

## ◆ find_vec_in_debug_names() [2/2]

const gdb_byte * dw2_debug_names_iterator::find_vec_in_debug_names | ( | const mapped_debug_names & | map,
|  | uint32_t | namei
| ) |  |
| static private

Definition at line 6117 of file dwarf2read.c.

References _, complaint, mapped_debug_names::dwarf5_byte_order, mapped_debug_names::entry_pool, extract_unsigned_integer(), mapped_debug_names::name_count, mapped_debug_names::name_table_entry_offs_reordered, objfile_name(), mapped_debug_names::offset_size, and symfile_complaints.

## ◆ next()

dwarf2_per_cu_data * dw2_debug_names_iterator::next | ( |  | ) |

Definition at line 6139 of file dwarf2read.c.

References _, mapped_debug_names::abbrev_map, mapped_debug_names::index_val::attr_vec, mapped_debug_names::augmentation_is_gdb, complaint, dwarf2_per_cu_quick_data::compunit_symtab, dw2_get_cutu(), mapped_debug_names::index_val::attr::dw_idx, dwarf_form_name(), mapped_debug_names::index_val::dwarf_tag, mapped_debug_names::index_val::attr::form, FUNCTIONS_DOMAIN, GLOBAL_BLOCK, mapped_debug_names::index_val::attr::implicit_const, LABEL_DOMAIN, m_addr, m_block_index, m_domain, m_map, m_search, m_want_specific_block, objfile_name(), pulongest(), dwarf2_per_cu_data::quick, read_unsigned_leb128(), STRUCT_DOMAIN, symfile_complaints, TYPES_DOMAIN, dwarf2_per_cu_data::v, VAR_DOMAIN, and VARIABLES_DOMAIN.

Referenced by dw2_debug_names_expand_symtabs_for_function(), dw2_debug_names_expand_symtabs_matching(), and dw2_debug_names_lookup_symbol().

## Member Data Documentation

## ◆ m_addr

const gdb_byte* dw2_debug_names_iterator::m_addr
| private

Definition at line 6010 of file dwarf2read.c.

Referenced by next().

## ◆ m_block_index

const block_enum dw2_debug_names_iterator::m_block_index = FIRST_LOCAL_BLOCK
| private

Definition at line 6002 of file dwarf2read.c.

Referenced by next().

## ◆ m_domain

const domain_enum dw2_debug_names_iterator::m_domain = UNDEF_DOMAIN
| private

Definition at line 6005 of file dwarf2read.c.

Referenced by next().

## ◆ m_map

const mapped_debug_names& dw2_debug_names_iterator::m_map
| private

Definition at line 5994 of file dwarf2read.c.

Referenced by next().

## ◆ m_search

const search_domain dw2_debug_names_iterator::m_search = ALL_DOMAIN
| private

Definition at line 6006 of file dwarf2read.c.

Referenced by next().

## ◆ m_want_specific_block

const bool dw2_debug_names_iterator::m_want_specific_block = false
| private

Definition at line 5997 of file dwarf2read.c.

Referenced by next().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c